#ifndef _MAutobuses_h_
#define _MAutobuses_h_

#include <iostream>
#include <fstream>

using namespace std;

namespace MAutobuses
{ 
    const unsigned int MAX_AUTOBUSES = 5;
    const char SP = ' ';
    
    typedef unsigned int TNatural;
    
    struct TAutobus
    {
           TNatural cod_linea;
           TNatural num_max;
           TNatural num_actual;       
    };
           
    typedef TAutobus TArray [MAX_AUTOBUSES];
    
    struct TAutobuses
    {
           TNatural num_buses;
           TArray autobuses;
    };

    void AniadirAutobus(TAutobuses &autobuses, TAutobus autobus, bool &ok);
    
    void ExtraerAutobus(TAutobuses &autobuses, TAutobus &autobus, bool &ok);
    
    void LeerAutobusesFich(TAutobuses &autobuses, ifstream &fich);

    void EscribirAutobusesFichero(TAutobuses autobuses, ofstream &fich);
    
    void SubirPasajeros(TAutobuses &autobuses, TNatural cod_linea, TNatural num, 
                        TNatural &numReal, bool &ok);
    
    void BajarPasajeros(TAutobuses &autobuses, TNatural cod_linea, TNatural num, 
                        TNatural &numReal, bool &ok);        
    
    void MostrarAutobuses(TAutobuses autobuses);
}

#endif
